Risk & margin ratios
curl --request GET \
--url https://openapi.tcbs.com.vn/hydros/v1/account/{accountNo}/risk \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/hydros/v1/account/{accountNo}/risk"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/hydros/v1/account/{accountNo}/risk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"[].accountNo": "<string>",
"[].rtt": 123,
"[].outstanding": 123,
"[].accruedInterest": 123,
"[].dueAmount": 123,
"[].overdueAmount": 123,
"[].totalFeeDebt": 123,
"[].riskPolicy.initialMargin": 123,
"[].riskPolicy.maintenanceMargin": 123,
"[].riskPolicy.liquidationMargin": 123,
"[].riskStatus.code": "<string>",
"[].riskStatus.description": "<string>"
}API Reference
Risk & margin ratios
Get principal debt, interest debt, Rtt, margin ratios for a margin account.
GET
/
hydros
/
v1
/
account
/
{accountNo}
/
risk
Risk & margin ratios
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Margin account number.
Response
200 - application/json
Successful response
Account number.
Actual Rtt.
Total principal debt.
Accrued interest.
Due amount.
Overdue amount.
Total fee debt (Marginsure fee).
Initial margin ratio.
Maintenance margin ratio.
Liquidation margin ratio.
Risk status code.
Risk status description.